> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xshot.fun/llms.txt
> Use this file to discover all available pages before exploring further.

# Quick Start

> Get up and running with the Xshot API in minutes

## Base URL

```
https://api.xshot.fun
```

## Authentication

All requests require an API key. Three methods are supported:

<CodeGroup>
  ```bash Query String theme={null}
  curl "https://api.xshot.fun/twitter/user/info?username=elonmusk&api_key=YOUR_KEY"
  ```

  ```bash Header theme={null}
  curl -H "x-api-key: YOUR_KEY" "https://api.xshot.fun/twitter/user/info?username=elonmusk"
  ```

  ```bash Bearer Token theme={null}
  curl -H "Authorization: Bearer YOUR_KEY" "https://api.xshot.fun/twitter/user/info?username=elonmusk"
  ```
</CodeGroup>

## Your First Request

Get a user's profile:

```bash theme={null}
curl "https://api.xshot.fun/twitter/user/info?username=elonmusk&api_key=YOUR_KEY"
```

**Response:**

```json theme={null}
{
  "id": "44196397",
  "name": "Elon Musk",
  "username": "elonmusk",
  "description": "https://t.co/dDtDyVssfm",
  "location": "",
  "created_at": "Tue Jun 02 20:12:29 +0000 2009",
  "followers_count": 237614000,
  "following_count": 1305,
  "tweet_count": 100238,
  "like_count": 220003,
  "media_count": 4417,
  "verified": false,
  "is_blue_verified": true,
  "profile_image": "https://pbs.twimg.com/profile_images/.../normal.jpg",
  "profile_banner": "https://pbs.twimg.com/profile_banners/44196397/...",
  "pinned_tweet_ids": []
}
```

## Get a Tweet

```bash theme={null}
curl "https://api.xshot.fun/twitter/tweet/detail?tweet_id=2035548674483273831&api_key=YOUR_KEY"
```

**Response:**

```json theme={null}
{
  "id": "2035548674483273831",
  "text": "https://t.co/ryFUQ3d6lz",
  "created_at": "Sun Mar 22 02:46:37 +0000 2026",
  "author": {
    "id": "1762266425589149696",
    "name": "daumen",
    "username": "daumenxyz",
    "profile_image": "https://pbs.twimg.com/profile_images/.../normal.jpg",
    "verified": false,
    "followers_count": 121896
  },
  "retweet_count": 68,
  "reply_count": 63,
  "like_count": 326,
  "quote_count": 8,
  "bookmark_count": 27,
  "view_count": 40851
}
```

## Pagination

List endpoints return paginated results. Pass `cursor` from the previous response to get the next page:

```bash theme={null}
curl "https://api.xshot.fun/twitter/user/followers?username=daumenxyz&cursor=DAACCgABF3...&api_key=YOUR_KEY"
```

**Response structure:**

```json theme={null}
{
  "followers": [...],
  "next_cursor": "DAACCgABF3...",
  "has_next_page": true
}
```

When `has_next_page` is `false` or `next_cursor` is `null`, there are no more pages.

## Error Responses

| Status | Meaning                              | Example                                               |
| ------ | ------------------------------------ | ----------------------------------------------------- |
| 400    | Missing required parameter           | `{"error": "username required"}`                      |
| 401    | Invalid or missing API key           | `{"error": "Invalid or missing API key"}`             |
| 404    | Resource not found                   | `{"error": "User 'xyz' not found"}`                   |
| 500    | Internal server error                | `{"error": "Twitter API error 500: ..."}`             |
| 503    | All accounts temporarily unavailable | `{"error": "All accounts are locked or unavailable"}` |

## Next Steps

<CardGroup cols={2}>
  <Card title="REST API Reference" icon="bolt" href="/api-reference/users/info">
    Browse all endpoints with interactive playground
  </Card>

  <Card title="WebSocket Guide" icon="plug" href="/get-started/websocket">
    Set up real-time event subscriptions
  </Card>
</CardGroup>
